<html>
<head>
<title>OgreD3D11RenderSystem.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_0a2df88393729a3f182c00116937c948.html">Direct3D11</a>      </li>
      <li class="navelem"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreD3D11RenderSystem.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreD3D11RenderSystem_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __D3D11RENDERSYSTEM_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __D3D11RENDERSYSTEM_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D11Prerequisites_8h.html">OgreD3D11Prerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderSystem_8h.html">OgreRenderSystem.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D11Device_8h.html">OgreD3D11Device.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D11Mappings_8h.html">OgreD3D11Mappings.h</a>&quot;</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre 
<a name="l00037"></a>00037 {
<a name="l00038"></a><a class="code" href="OgreD3D11RenderSystem_8h.html#a737b417f16ea225cf15e8d4c23df53dc">00038</a> <span class="preprocessor">#define MAX_LIGHTS 8</span>
<a name="l00039"></a>00039 <span class="preprocessor"></span>
<a name="l00040"></a>00040     <span class="keyword">class </span>D3D11DriverList;
<a name="l00041"></a>00041     <span class="keyword">class </span>D3D11Driver;
<a name="l00042"></a>00042 
<a name="l00046"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html">00046</a>     <span class="keyword">class </span><a class="code" href="classOgre_1_1D3D11RenderSystem.html" title="Implementation of DirectX9 as a rendering system.">D3D11RenderSystem</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>
<a name="l00047"></a>00047     {
<a name="l00048"></a>00048     <span class="keyword">private</span>:
<a name="l00049"></a>00049 
<a name="l00050"></a>00050         <span class="comment">// an enum to define the driver type of d3d11</span>
<a name="l00051"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a79768685511855fe4434b8ffd1fa210b">00051</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a79768685511855fe4434b8ffd1fa210b">OGRE_D3D11_DRIVER_TYPE</a>
<a name="l00052"></a>00052         {
<a name="l00053"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a79768685511855fe4434b8ffd1fa210ba9da52bdc79842b0a54d11a97c6770af2">00053</a>             <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a79768685511855fe4434b8ffd1fa210ba9da52bdc79842b0a54d11a97c6770af2">DT_HARDWARE</a>, <span class="comment">// GPU based</span>
<a name="l00054"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a79768685511855fe4434b8ffd1fa210baf36e22dabfb2f72e4aaf95dee1b379e0">00054</a>             <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a79768685511855fe4434b8ffd1fa210baf36e22dabfb2f72e4aaf95dee1b379e0">DT_SOFTWARE</a>, <span class="comment">// microsoft original (slow) software driver</span>
<a name="l00055"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a79768685511855fe4434b8ffd1fa210babc136ee21188b71924d9add2b1070116">00055</a>             <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a79768685511855fe4434b8ffd1fa210babc136ee21188b71924d9add2b1070116">DT_WARP</a> <span class="comment">// microsoft new (faster) software driver - (Windows Advanced Rasterization Platform) - http://msdn.microsoft.com/en-us/library/dd285359.aspx</span>
<a name="l00056"></a>00056 
<a name="l00057"></a>00057         };
<a name="l00058"></a>00058 
<a name="l00059"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4331f10ec8e1e9a832a9cc63c1b8c55e">00059</a>         <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a79768685511855fe4434b8ffd1fa210b">OGRE_D3D11_DRIVER_TYPE</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4331f10ec8e1e9a832a9cc63c1b8c55e">mDriverType</a>; <span class="comment">// d3d11 driver type</span>
<a name="l00060"></a>00060 
<a name="l00062"></a>00062         <span class="comment">//int           mpD3D;</span>
<a name="l00064"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#af525e41161dedb83ad65358b2e21e458">00064</a> <span class="comment"></span>        <a class="code" href="classOgre_1_1D3D11Device.html">D3D11Device</a>     <a class="code" href="classOgre_1_1D3D11RenderSystem.html#af525e41161dedb83ad65358b2e21e458" title="Direct3D.">mDevice</a>;
<a name="l00065"></a>00065         
<a name="l00066"></a>00066         <span class="comment">// Stored options</span>
<a name="l00067"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a7adf997d0a0be301796017e824ef07ea">00067</a>         <a class="code" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a7adf997d0a0be301796017e824ef07ea">mOptions</a>;
<a name="l00068"></a>00068 
<a name="l00070"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a1136854427af64dbd698bfa32652ac94">00070</a>         HINSTANCE <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a1136854427af64dbd698bfa32652ac94" title="instance">mhInstance</a>;
<a name="l00071"></a>00071 
<a name="l00073"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a63d5bdfafd1c1490511157cd602a2e39">00073</a>         <a class="code" href="classOgre_1_1D3D11DriverList.html">D3D11DriverList</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a63d5bdfafd1c1490511157cd602a2e39" title="List of D3D drivers installed (video cards)">mDriverList</a>;
<a name="l00075"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a86f5e8a78c9cee8119e29dee2d853a89">00075</a>         <a class="code" href="classOgre_1_1D3D11Driver.html">D3D11Driver</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a86f5e8a78c9cee8119e29dee2d853a89" title="Currently active driver.">mActiveD3DDriver</a>;
<a name="l00077"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#aed665b26002ab00babe4cbeda24025bb">00077</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aed665b26002ab00babe4cbeda24025bb" title="NVPerfHUD allowed?">mUseNVPerfHUD</a>;
<a name="l00079"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#af5ca1802980465db9b2bd67875d9e304">00079</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#af5ca1802980465db9b2bd67875d9e304" title="Per-stage constant support? (not in main caps since D3D specific &amp; minor)">mPerStageConstantSupport</a>;
<a name="l00080"></a>00080 
<a name="l00082"></a>00082 
<a name="l00083"></a>00083 
<a name="l00084"></a>00084         <a class="code" href="classOgre_1_1D3D11DriverList.html">D3D11DriverList</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4502f73774035a0d6eb4b9a73d04fb2d" title="structure holding texture unit settings for every stage">getDirect3DDrivers</a>(<span class="keywordtype">void</span>);
<a name="l00085"></a>00085         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a1b35d235cafe95de51f6666cc7e6d09d">refreshD3DSettings</a>(<span class="keywordtype">void</span>);
<a name="l00086"></a>00086         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a2cf251d06ef1594b92a60332ad38fb98">refreshFSAAOptions</a>(<span class="keywordtype">void</span>);
<a name="l00087"></a>00087         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ac9bf52ebb9fc620c499d49ca5b11e3ee">freeDevice</a>(<span class="keywordtype">void</span>);
<a name="l00088"></a>00088 
<a name="l00089"></a>00089 <span class="comment">//      inline bool compareDecls( D3DVERTEXELEMENT9* pDecl1, D3DVERTEXELEMENT9* pDecl2, size_t size );</span>
<a name="l00090"></a>00090 
<a name="l00091"></a>00091 
<a name="l00092"></a>00092         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aa145e32d18f03641a9a6ed306f4b5341">initInputDevices</a>(<span class="keywordtype">void</span>);
<a name="l00093"></a>00093         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a590a26594d2f34995710eef8eb1a74d3">processInputDevices</a>(<span class="keywordtype">void</span>);
<a name="l00094"></a>00094         
<a name="l00096"></a>00096         DWORD <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a089e449a7512c830c887120c0a01448b" title="return anisotropy level">_getCurrentAnisotropy</a>(<span class="keywordtype">size_t</span> unit);
<a name="l00098"></a>00098         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#af09cebd21d14c0f40c2e912b4fcd0679" title="check if a FSAA is supported">_checkMultiSampleQuality</a>(UINT SampleCount, UINT *outQuality, DXGI_FORMAT format);
<a name="l00099"></a>00099         
<a name="l00100"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a1a7d844b967daa76539888b5f0d0ee3c">00100</a>         <a class="code" href="classOgre_1_1D3D11HardwareBufferManager.html" title="D3D11HardwareBufferManagerBase as a Singleton.">D3D11HardwareBufferManager</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a1a7d844b967daa76539888b5f0d0ee3c">mHardwareBufferManager</a>;
<a name="l00101"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a51df7252537bd39a30cadcf91536d164">00101</a>         <a class="code" href="classOgre_1_1D3D11GpuProgramManager.html">D3D11GpuProgramManager</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a51df7252537bd39a30cadcf91536d164">mGpuProgramManager</a>;
<a name="l00102"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a8ad9ea91dfb1d8926500f3a8b29a95a9">00102</a>         <a class="code" href="classOgre_1_1D3D11HLSLProgramFactory.html" title="Factory class for D3D11 HLSL programs.">D3D11HLSLProgramFactory</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a8ad9ea91dfb1d8926500f3a8b29a95a9">mHLSLProgramFactory</a>;
<a name="l00103"></a>00103 
<a name="l00104"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a5ca6ed30fbb55265e335d07350980456">00104</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a5ca6ed30fbb55265e335d07350980456">mLastVertexSourceCount</a>;
<a name="l00105"></a>00105 
<a name="l00107"></a>00107         <a class="code" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4bbbae4aac9e628c77661d7167e7b849" title="Internal method for populating the capabilities structure.">createRenderSystemCapabilities</a>() <span class="keyword">const</span>;
<a name="l00109"></a>00109         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a2158772ce4976261f560bcd6dc02cd1f" title="See RenderSystem definition.">initialiseFromRenderSystemCapabilities</a>(<a class="code" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a>* caps, <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>* primary);
<a name="l00110"></a>00110 
<a name="l00111"></a>00111         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ab0ab31625eb3025e928444430f6c4ef8">convertVertexShaderCaps</a>(<a class="code" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a>* rsc) <span class="keyword">const</span>;
<a name="l00112"></a>00112         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a24a79fe8d1334b8177a283ffd066a20b">convertPixelShaderCaps</a>(<a class="code" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a>* rsc) <span class="keyword">const</span>;
<a name="l00113"></a>00113         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a5875ee67d8bc351c380a9caecb4ab5fd">convertGeometryShaderCaps</a>(<a class="code" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a>* rsc) <span class="keyword">const</span>;
<a name="l00114"></a>00114         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a08110d5eec5622c47e95556c282427df">checkVertexTextureFormats</a>(<span class="keywordtype">void</span>);
<a name="l00115"></a>00115 
<a name="l00116"></a>00116 
<a name="l00117"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a362ba998a35fe78677a15d4f8673cf16">00117</a>         <a class="code" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a362ba998a35fe78677a15d4f8673cf16">mSceneAlphaRejectFunc</a>; <span class="comment">// should be merged with - mBlendDesc</span>
<a name="l00118"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#ab5796d5715e7d2c6c846a432f0cae67e">00118</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ab5796d5715e7d2c6c846a432f0cae67e">mSceneAlphaRejectValue</a>; <span class="comment">// should be merged with - mBlendDesc</span>
<a name="l00119"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a46a1d986e6345928ecc58b362f3b76a7">00119</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a46a1d986e6345928ecc58b362f3b76a7">mSceneAlphaToCoverage</a>;
<a name="l00120"></a>00120 
<a name="l00121"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#afe8e1fc77e4e0ad9d585d5e7c41dd3b8">00121</a>         D3D11_BLEND_DESC <a class="code" href="classOgre_1_1D3D11RenderSystem.html#afe8e1fc77e4e0ad9d585d5e7c41dd3b8">mBlendDesc</a>;
<a name="l00122"></a>00122 
<a name="l00123"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a643c8f0795b2633f78135035b896f467">00123</a>         D3D11_RASTERIZER_DESC <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a643c8f0795b2633f78135035b896f467">mRasterizerDesc</a>;
<a name="l00124"></a>00124 
<a name="l00125"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a2372b43fa986afa4f0c873928d100121">00125</a>         UINT <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a2372b43fa986afa4f0c873928d100121">mStencilRef</a>;
<a name="l00126"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#ac2f10295b4f146c129ac128e61977472">00126</a>         D3D11_DEPTH_STENCIL_DESC <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ac2f10295b4f146c129ac128e61977472">mDepthStencilDesc</a>; 
<a name="l00127"></a>00127 
<a name="l00128"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#ab7127cebc78823ff35aa57ec707506f3">00128</a>         <a class="code" href="group__General.html#ga68866b02aa7f99e3431337511fbb3345" title="The polygon mode to use when rasterising.">PolygonMode</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ab7127cebc78823ff35aa57ec707506f3">mPolygonMode</a>;
<a name="l00129"></a>00129 
<a name="l00130"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#acfe99107e46c0d153ec3cad5427b3a30">00130</a>         <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#acfe99107e46c0d153ec3cad5427b3a30">FilterMinification</a>;
<a name="l00131"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4e921acca191d78516743b852738538a">00131</a>         <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4e921acca191d78516743b852738538a">FilterMagnification</a>;
<a name="l00132"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#acf1ab1f39fcca362ef2919ed5d8b7357">00132</a>         <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#acf1ab1f39fcca362ef2919ed5d8b7357">FilterMips</a>;
<a name="l00133"></a>00133 
<a name="l00134"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#abe28135195dc69b8fb89158e6ee4acaf">00134</a>         D3D11_RECT <a class="code" href="classOgre_1_1D3D11RenderSystem.html#abe28135195dc69b8fb89158e6ee4acaf">mScissorRect</a>;
<a name="l00135"></a>00135 
<a name="l00136"></a>00136 
<a name="l00137"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a46007a0c3ede25a9a342fcfcbc308a60">00137</a>         <a class="code" href="classOgre_1_1D3D11HLSLProgram.html" title="Specialization of HighLevelGpuProgram to provide support for D3D11 High-Level Shader Language (HLSL)...">D3D11HLSLProgram</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a46007a0c3ede25a9a342fcfcbc308a60">mBoundVertexProgram</a>;
<a name="l00138"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a84e031455e7a944937054809b1203b7a">00138</a>         <a class="code" href="classOgre_1_1D3D11HLSLProgram.html" title="Specialization of HighLevelGpuProgram to provide support for D3D11 High-Level Shader Language (HLSL)...">D3D11HLSLProgram</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a84e031455e7a944937054809b1203b7a">mBoundFragmentProgram</a>;
<a name="l00139"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#ab4812aa2d4a40d4d0c6840c58ac7a7d7">00139</a>         <a class="code" href="classOgre_1_1D3D11HLSLProgram.html" title="Specialization of HighLevelGpuProgram to provide support for D3D11 High-Level Shader Language (HLSL)...">D3D11HLSLProgram</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ab4812aa2d4a40d4d0c6840c58ac7a7d7">mBoundGeometryProgram</a>;
<a name="l00140"></a>00140 
<a name="l00141"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a88b4b8ead6a06ed2a385a6ab4173f11c">00141</a>         ID3D11BlendState * <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a88b4b8ead6a06ed2a385a6ab4173f11c">mBoundBlendState</a>;
<a name="l00142"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#ad450e3f17aef56b425316af6c14b9f8c">00142</a>         ID3D11RasterizerState * <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ad450e3f17aef56b425316af6c14b9f8c">mBoundRasterizer</a>;
<a name="l00143"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a3cbdf3107f021d762805a119f6116d5c">00143</a>         ID3D11DepthStencilState * <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a3cbdf3107f021d762805a119f6116d5c">mBoundDepthStencilState</a>;
<a name="l00144"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a2794e4d1188d960eba4f142167243708">00144</a>         ID3D11SamplerState * <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a2794e4d1188d960eba4f142167243708">mBoundSamplerStates</a>[<a class="code" href="OgreConfig_8h.html#a1c5fd80e6e0f2f85d6facbe1ec8eb5a4" title="Define max number of texture layers allowed per pass on any card.">OGRE_MAX_TEXTURE_LAYERS</a>];
<a name="l00145"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a03922c5d994b201a51ff606b9f45c17b">00145</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a03922c5d994b201a51ff606b9f45c17b">mBoundSamplerStatesCount</a>;
<a name="l00146"></a>00146 
<a name="l00147"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a6492189a49f1eeee00f10483a5879808">00147</a>         ID3D11ShaderResourceView * <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a6492189a49f1eeee00f10483a5879808">mBoundTextures</a>[<a class="code" href="OgreConfig_8h.html#a1c5fd80e6e0f2f85d6facbe1ec8eb5a4" title="Define max number of texture layers allowed per pass on any card.">OGRE_MAX_TEXTURE_LAYERS</a>];
<a name="l00148"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a67b33614389e20610f7f23ff670f9e83">00148</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a67b33614389e20610f7f23ff670f9e83">mBoundTexturesCount</a>;
<a name="l00149"></a>00149 
<a name="l00150"></a>00150 
<a name="l00152"></a><a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html">00152</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html" title="structure holding texture unit settings for every stage">sD3DTextureStageDesc</a>
<a name="l00153"></a>00153         {
<a name="l00155"></a>00155             <span class="comment">//D3D11Mappings::eD3DTexType texType;</span>
<a name="l00156"></a><a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#ac0015461769a2d13d694e0cbe782be35">00156</a>             <a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> <a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#ac0015461769a2d13d694e0cbe782be35" title="the type of the texture">type</a>;
<a name="l00158"></a><a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a05b490382461782d82fdda69a95e1488">00158</a>             <span class="keywordtype">size_t</span> <a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a05b490382461782d82fdda69a95e1488" title="which texCoordIndex to use">coordIndex</a>;
<a name="l00160"></a><a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#abfb1abb2463ec868224a81878326e094">00160</a>             <a class="code" href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31" title="Enum describing the ways to generate texture coordinates.">TexCoordCalcMethod</a> <a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#abfb1abb2463ec868224a81878326e094" title="type of auto tex. calc. used">autoTexCoordType</a>;
<a name="l00162"></a><a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#ab47a8be2d5e831372472f9e2d2642b64">00162</a>             <span class="keyword">const</span> <a class="code" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent either a vi...">Frustum</a> *<a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#ab47a8be2d5e831372472f9e2d2642b64" title="Frustum, used if the above is projection.">frustum</a>; 
<a name="l00163"></a>00163 
<a name="l00164"></a><a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a2c4899b112c2da18627b3b8dadbeadcd">00164</a>             <a class="code" href="classOgre_1_1LayerBlendModeEx.html" title="Class which manages blending of both colour and alpha components.">LayerBlendModeEx</a> <a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a2c4899b112c2da18627b3b8dadbeadcd">layerBlendMode</a>;
<a name="l00165"></a>00165 
<a name="l00167"></a><a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a406bbf72a6c74c34775ede43c81c4479">00167</a>             ID3D11ShaderResourceView  *<a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a406bbf72a6c74c34775ede43c81c4479" title="texture">pTex</a>;
<a name="l00168"></a><a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a85a8d57feca3cb5f08b186fc484be114">00168</a>             D3D11_SAMPLER_DESC  <a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a85a8d57feca3cb5f08b186fc484be114">samplerDesc</a>;
<a name="l00169"></a><a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a4e5dfe0a7bb3c5ff7793c7d420b3bfb8">00169</a>             D3D11_SAMPLER_DESC <a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a4e5dfe0a7bb3c5ff7793c7d420b3bfb8">currentSamplerDesc</a>;
<a name="l00170"></a>00170             <span class="comment">//ID3D11SamplerState * pSampler;</span>
<a name="l00171"></a><a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a8e81f5b1c3ac483ab39d223f8c2ae1f8">00171</a>             <span class="keywordtype">bool</span> <a class="code" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a8e81f5b1c3ac483ab39d223f8c2ae1f8">used</a>;
<a name="l00172"></a>00172         } <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aa4adb7d5c7de8ea7b5aa2b989410109f">mTexStageDesc</a>[<a class="code" href="OgreConfig_8h.html#a1c5fd80e6e0f2f85d6facbe1ec8eb5a4" title="Define max number of texture layers allowed per pass on any card.">OGRE_MAX_TEXTURE_LAYERS</a>];
<a name="l00173"></a>00173 
<a name="l00174"></a>00174 
<a name="l00175"></a>00175         <span class="comment">// What follows is a set of duplicated lists just to make it</span>
<a name="l00176"></a>00176         <span class="comment">// easier to deal with lost devices</span>
<a name="l00177"></a>00177         
<a name="l00179"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a76168e040adceeeab2d807a60552e643">00179</a>         <a class="code" href="classOgre_1_1D3D11RenderWindow.html">D3D11RenderWindow</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a76168e040adceeeab2d807a60552e643" title="Primary window, the one used to create the device.">mPrimaryWindow</a>;
<a name="l00180"></a>00180 
<a name="l00181"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#ab0a621dfdf1679be15c56b39eb565696">00181</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;D3D11RenderWindow*&gt;::type</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ab0a621dfdf1679be15c56b39eb565696">SecondaryWindowList</a>;
<a name="l00182"></a>00182         <span class="comment">// List of additional windows after the first (swap chains)</span>
<a name="l00183"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a24d21eef44248bce1bcebc47d07dd81e">00183</a>         <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ab0a621dfdf1679be15c56b39eb565696">SecondaryWindowList</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a24d21eef44248bce1bcebc47d07dd81e">mSecondaryWindows</a>;
<a name="l00184"></a>00184 
<a name="l00185"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a8c7aae0c348c5f820f1ac69da6284536">00185</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a8c7aae0c348c5f820f1ac69da6284536">mBasicStatesInitialised</a>;
<a name="l00186"></a>00186         
<a name="l00187"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4d207588caf66a1c4ae9a4913e5e4288">00187</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4d207588caf66a1c4ae9a4913e5e4288">mRenderSystemWasInited</a>;
<a name="l00188"></a>00188 
<a name="l00189"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#a834916e0ab176eed00b0471fbfba2d37">00189</a>         IDXGIFactory1*  <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a834916e0ab176eed00b0471fbfba2d37">mpDXGIFactory</a>;
<a name="l00190"></a>00190     <span class="keyword">protected</span>:
<a name="l00191"></a>00191         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a094b29f619a8ac647260731da829ebd8" title="Internal method used to set the underlying clip planes when needed.">setClipPlanesImpl</a>(<span class="keyword">const</span> <a class="code" href="group__Math.html#gae00d718daa48567f6c010aad9d6dd92c">PlaneList</a>&amp; clipPlanes);
<a name="l00192"></a>00192     <span class="keyword">public</span>:
<a name="l00193"></a>00193         <span class="comment">// constructor</span>
<a name="l00194"></a>00194         <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a43ea7e33490018fbd3626df9a5d4c506">D3D11RenderSystem</a>( HINSTANCE hInstance );
<a name="l00195"></a>00195 
<a name="l00196"></a>00196         <span class="comment">// destructor</span>
<a name="l00197"></a>00197         <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aad4e30395ccb5bcb6588f09c44e9b22e">~D3D11RenderSystem</a>();
<a name="l00198"></a>00198 
<a name="l00199"></a>00199 
<a name="l00200"></a>00200         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4ae0f324bcc1a167b3dd11228df11369">initRenderSystem</a>();
<a name="l00201"></a>00201 
<a name="l00202"></a>00202         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4f47299e13e65c4ef9125513d18ffb1f">initConfigOptions</a>(<span class="keywordtype">void</span>);
<a name="l00203"></a>00203 
<a name="l00204"></a>00204         <span class="comment">// Overridden RenderSystem functions</span>
<a name="l00205"></a>00205         <a class="code" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a>&amp; <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a45d72b2e6d378f6ded36e68a26156530" title="Returns the details of this API&#39;s configuration options.">getConfigOptions</a>(<span class="keywordtype">void</span>);
<a name="l00206"></a>00206         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a388a2ebc61589e3c612ee2942d56ab16" title="Validates the options set for the rendering system, returning a message if there are problems...">validateConfigOptions</a>(<span class="keywordtype">void</span>);
<a name="l00207"></a>00207         <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#acc1d8d487d8cc4bcbf145c3922af3235" title="Start up the renderer using the settings selected (Or the defaults if none have been selected)...">_initialise</a>( <span class="keywordtype">bool</span> autoCreateWindow, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; windowTitle = <span class="stringliteral">&quot;OGRE Render Window&quot;</span>  );
<a name="l00209"></a>00209         <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a90e36e366546c9effe6def873a43db8f">_createRenderWindow</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height, 
<a name="l00210"></a>00210             <span class="keywordtype">bool</span> fullScreen, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams = 0);
<a name="l00211"></a>00211 
<a name="l00213"></a>00213         <a class="code" href="classOgre_1_1RenderTexture.html" title="This class represents a RenderTarget that renders to a Texture.">RenderTexture</a> * <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a08ce7a2c04c75eed2309f2824543e2b0">createRenderTexture</a>( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp; name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height,
<a name="l00214"></a>00214             <a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> texType = <a class="code" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7af1f732018f5a2a7d35233e2ceeb4ee0e" title="2D texture, used in combination with 2D texture coordinates (default)">TEX_TYPE_2D</a>, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> internalFormat = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca2542d39f6712cb6f69907330a31a9342" title="32-bit pixel format, 8 bits for red, 8 bits for green, 8 bits for blue like PF_A8R8G8B8, but alpha will get discarded">PF_X8R8G8B8</a>, 
<a name="l00215"></a>00215             <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams = 0 ); 
<a name="l00216"></a>00216 
<a name="l00218"></a>00218         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1MultiRenderTarget.html" title="This class represents a render target that renders to multiple RenderTextures at once.">MultiRenderTarget</a> * <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a3a9ae01c7af260b14cb9f6f7482ccad8">createMultiRenderTarget</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp; name);
<a name="l00219"></a>00219 
<a name="l00220"></a>00220         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a51b2bfd650a93abd6f3aeb886784901e" title="Creates a DepthBuffer that can be attached to the specified RenderTarget.">_createDepthBufferFor</a>( <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *renderTarget );
<a name="l00221"></a>00221 
<a name="l00227"></a>00227         <a class="code" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a063bdfd1a566d0122af53c25d6ba99c1" title="This function is meant to add Depth Buffers to the pool that aren&#39;t released when the DepthBuffer is ...">_addManualDepthBuffer</a>( ID3D11DepthStencilView *depthSurface,
<a name="l00228"></a>00228                                             <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> width, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> height, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> fsaa, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> fsaaQuality );
<a name="l00229"></a>00229 
<a name="l00230"></a>00230 
<a name="l00231"></a>00231         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a2321d3d82323c589f70dfa4157de9f7f" title="Returns the name of the rendering system.">getName</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00232"></a>00232         <span class="comment">// Low-level overridden members</span>
<a name="l00233"></a>00233         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a676babf7059c9d8e1887d2a72c6cffa5" title="Sets an option for this API.">setConfigOption</a>( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value );
<a name="l00234"></a>00234         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a0708f1a8dafa62e6293bbeb1f0ee2ce2" title="Restart the renderer (normally following a change in settings).">reinitialise</a>();
<a name="l00235"></a>00235         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ab0a3fd2d052c5eaaca2c24a9111407d6" title="Shutdown the renderer and cleanup resources.">shutdown</a>();
<a name="l00236"></a>00236         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4cabb03136e2993489a31285b070adbd" title="Sets the colour &amp; strength of the ambient (global directionless) light in the world.">setAmbientLight</a>( <span class="keywordtype">float</span> r, <span class="keywordtype">float</span> g, <span class="keywordtype">float</span> b );
<a name="l00237"></a>00237         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a0c656abdfd9a0c433e315fa10b64fd4d" title="Sets the type of light shading required (default = Gouraud).">setShadingType</a>( <a class="code" href="group__General.html#ga7afd4c7d428baaee13f3a0dbcae5f560" title="Light shading modes.">ShadeOptions</a> so );
<a name="l00238"></a>00238         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a19961d7272d4fa781bee7b643b31a774" title="Sets whether or not dynamic lighting is enabled.">setLightingEnabled</a>( <span class="keywordtype">bool</span> enabled );
<a name="l00239"></a>00239         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a790d9dd369cdf93285f4b2a3002b6ab0" title="Destroys a render target of any sort.">destroyRenderTarget</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00240"></a>00240         <a class="code" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f" title="Vertex element type, used to identify the base types of the vertex contents.">VertexElementType</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a512096d567fcdc1a4dba8080e607b059" title="Get the native VertexElementType for a compact 32-bit colour value for this rendersystem.">getColourVertexElementType</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00241"></a>00241         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#acb2a4677e1dca9f8e841fc4f9b02cda6" title="Turns stencil buffer checking on or off.">setStencilCheckEnabled</a>(<span class="keywordtype">bool</span> enabled);
<a name="l00242"></a>00242         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#adbb91b40436d01b903340065f96f83c7" title="Determines if this system supports hardware accelerated stencil buffer.">setStencilBufferParams</a>(<a class="code" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> func = <a class="code" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aae10ea1648cd8c9bd90bdaccaa11cbc4e">CMPF_ALWAYS_PASS</a>, 
<a name="l00243"></a>00243             <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> refValue = 0, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask = 0xFFFFFFFF, 
<a name="l00244"></a>00244             <a class="code" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61" title="Enum describing the various actions which can be taken onthe stencil buffer.">StencilOperation</a> stencilFailOp = <a class="code" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61abf640cb28b5020509dc27178f0359511" title="Leave the stencil buffer unchanged.">SOP_KEEP</a>, 
<a name="l00245"></a>00245             <a class="code" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61" title="Enum describing the various actions which can be taken onthe stencil buffer.">StencilOperation</a> depthFailOp = <a class="code" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61abf640cb28b5020509dc27178f0359511" title="Leave the stencil buffer unchanged.">SOP_KEEP</a>,
<a name="l00246"></a>00246             <a class="code" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61" title="Enum describing the various actions which can be taken onthe stencil buffer.">StencilOperation</a> passOp = <a class="code" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61abf640cb28b5020509dc27178f0359511" title="Leave the stencil buffer unchanged.">SOP_KEEP</a>, 
<a name="l00247"></a>00247             <span class="keywordtype">bool</span> twoSidedOperation = <span class="keyword">false</span>);
<a name="l00248"></a>00248         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#afcb37fb68532bbdd75dd1628684e001c" title="Sets whether or not normals are to be automatically normalised.">setNormaliseNormals</a>(<span class="keywordtype">bool</span> normalise);
<a name="l00249"></a>00249 
<a name="l00250"></a>00250         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ad205da44150465c38a796778d3d07c06" title="Returns a description of an error code.">getErrorDescription</a>(<span class="keywordtype">long</span> errorNumber) <span class="keyword">const</span>;
<a name="l00251"></a>00251 
<a name="l00252"></a>00252         <span class="comment">// Low-level overridden members, mainly for internal use</span>
<a name="l00253"></a>00253         <a class="code" href="classOgre_1_1D3D11HLSLProgram.html" title="Specialization of HighLevelGpuProgram to provide support for D3D11 High-Level Shader Language (HLSL)...">D3D11HLSLProgram</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a6e2e836915b1bde785608129921379fa">_getBoundVertexProgram</a>() <span class="keyword">const</span>;
<a name="l00254"></a>00254         <a class="code" href="classOgre_1_1D3D11HLSLProgram.html" title="Specialization of HighLevelGpuProgram to provide support for D3D11 High-Level Shader Language (HLSL)...">D3D11HLSLProgram</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a262d80f785988c2dba01cf3ed487cf15">_getBoundFragmentProgram</a>() <span class="keyword">const</span>;
<a name="l00255"></a>00255         <a class="code" href="classOgre_1_1D3D11HLSLProgram.html" title="Specialization of HighLevelGpuProgram to provide support for D3D11 High-Level Shader Language (HLSL)...">D3D11HLSLProgram</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aaf1159ea30be414e78fe0a402aef2325">_getBoundGeometryProgram</a>() <span class="keyword">const</span>;
<a name="l00256"></a>00256         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a10672d0bd6a15831598963150c3826c5" title="Tells the rendersystem to use the attached set of lights (and no others) up to the number specified (...">_useLights</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1HashedVector.html">LightList</a>&amp; lights, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> limit);
<a name="l00257"></a>00257         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a2d2077a0a616f062d0a9459b323ad140" title="Sets the world transform matrix.">_setWorldMatrix</a>( <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> &amp;m );
<a name="l00258"></a>00258         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a204cc93cd813a06e1b06413079bbfd93" title="Sets the view transform matrix.">_setViewMatrix</a>( <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> &amp;m );
<a name="l00259"></a>00259         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a12a20155af70858e84a081388754d523" title="Sets the projection transform matrix.">_setProjectionMatrix</a>( <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> &amp;m );
<a name="l00260"></a>00260         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a79b7ca9a17491099296c2a15bf799579" title="Sets the surface properties to be used for future rendering.">_setSurfaceParams</a>( <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> &amp;ambient, <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> &amp;diffuse, <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> &amp;specular, <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> &amp;emissive, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> shininess, <a class="code" href="group__General.html#gaf3fdba7211d7078a43201a1721532f9e" title="An enumeration describing which material properties should track the vertex colours.">TrackVertexColourType</a> tracking );
<a name="l00261"></a>00261         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a91a99d79957ffd084f899051336137ac" title="Sets whether or not rendering points using OT_POINT_LIST will render point sprites (textured quads) o...">_setPointSpritesEnabled</a>(<span class="keywordtype">bool</span> enabled);
<a name="l00262"></a>00262         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ac4e27eac9491df70c2da9cac87c02e55" title="Sets the size of points and how they are attenuated with distance.">_setPointParameters</a>(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> size, <span class="keywordtype">bool</span> attenuationEnabled, 
<a name="l00263"></a>00263             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> constant, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> linear, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> quadratic, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> minSize, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> maxSize);
<a name="l00264"></a>00264         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#afb472cf1a180d18cf28258ab7b1aa700" title="Sets the texture to bind to a given texture unit.">_setTexture</a>(<span class="keywordtype">size_t</span> unit, <span class="keywordtype">bool</span> enabled, <span class="keyword">const</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> &amp;texPtr);
<a name="l00265"></a>00265         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ae842cde4b254341736c22694520e43cb" title="Binds a texture to a vertex sampler.">_setVertexTexture</a>(<span class="keywordtype">size_t</span> unit, <span class="keyword">const</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a>&amp; tex);
<a name="l00266"></a>00266         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4b12822797f3e57d827d89ff93f63fd5" title="Turns off a texture unit.">_disableTextureUnit</a>(<span class="keywordtype">size_t</span> texUnit);
<a name="l00267"></a>00267         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aaa0749ad6dd4f83556100ad5131654f4" title="Sets the texture coordinate set to use for a texture unit.">_setTextureCoordSet</a>( <span class="keywordtype">size_t</span> unit, <span class="keywordtype">size_t</span> index );
<a name="l00268"></a>00268         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aabb14d9c91c780f4641c283053f10d37" title="Sets a method for automatically calculating texture coordinates for a stage.">_setTextureCoordCalculation</a>(<span class="keywordtype">size_t</span> unit, <a class="code" href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31" title="Enum describing the ways to generate texture coordinates.">TexCoordCalcMethod</a> m, 
<a name="l00269"></a>00269             <span class="keyword">const</span> <a class="code" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent either a vi...">Frustum</a>* frustum = 0);
<a name="l00270"></a>00270         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a1ef5ea3c20b27af514a7946ce3324873" title="Sets the texture blend modes from a TextureUnitState record.">_setTextureBlendMode</a>( <span class="keywordtype">size_t</span> unit, <span class="keyword">const</span> <a class="code" href="classOgre_1_1LayerBlendModeEx.html" title="Class which manages blending of both colour and alpha components.">LayerBlendModeEx</a>&amp; bm );
<a name="l00271"></a>00271         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aa7edade016a9e9cdf5eb454e39861e8f" title="Sets the texture addressing mode for a texture unit.">_setTextureAddressingMode</a>(<span class="keywordtype">size_t</span> stage, <span class="keyword">const</span> <a class="code" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html" title="Texture addressing mode for each texture coordinate.">TextureUnitState::UVWAddressingMode</a>&amp; uvw);
<a name="l00272"></a>00272         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#abbfd42d04ce1b977676821f3ab0e8539" title="Sets the texture border colour for a texture unit.">_setTextureBorderColour</a>(<span class="keywordtype">size_t</span> stage, <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour);
<a name="l00273"></a>00273         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a460969a00700c596d11a5d169975ea5b" title="Sets the mipmap bias value for a given texture unit.">_setTextureMipmapBias</a>(<span class="keywordtype">size_t</span> unit, <span class="keywordtype">float</span> bias);
<a name="l00274"></a>00274         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a09f0a693271b46182a4fde117b6a7d7b" title="Sets the texture coordinate transformation matrix for a texture unit.">_setTextureMatrix</a>( <span class="keywordtype">size_t</span> unit, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> &amp;xform );
<a name="l00275"></a>00275         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4b4f94df5b4d643954696aaf9b437841" title="Sets the global blending factors for combining subsequent renders with the existing frame contents...">_setSceneBlending</a>(<a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> sourceFactor, <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> destFactor, <a class="code" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a" title="Blending operations controls how objects are blended into the scene.">SceneBlendOperation</a> op = <a class="code" href="group__Materials.html#ggaa7a12a72231aedf6e33d58aafc11214aa188aee58620b3275f1a45c7c80df4bc7">SBO_ADD</a>);
<a name="l00276"></a>00276         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a5bb10398eda8986d56fbc24fd7064176" title="Sets the global blending factors for combining subsequent renders with the existing frame contents...">_setSeparateSceneBlending</a>(<a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> sourceFactor, <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> destFactor, <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> sourceFactorAlpha, 
<a name="l00277"></a>00277             <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> destFactorAlpha, <a class="code" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a" title="Blending operations controls how objects are blended into the scene.">SceneBlendOperation</a> op = <a class="code" href="group__Materials.html#ggaa7a12a72231aedf6e33d58aafc11214aa188aee58620b3275f1a45c7c80df4bc7">SBO_ADD</a>, <a class="code" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a" title="Blending operations controls how objects are blended into the scene.">SceneBlendOperation</a> alphaOp = <a class="code" href="group__Materials.html#ggaa7a12a72231aedf6e33d58aafc11214aa188aee58620b3275f1a45c7c80df4bc7">SBO_ADD</a>);
<a name="l00278"></a>00278         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aa71e8588f6870ec5b4e0a29153436c5e" title="Sets the global alpha rejection approach for future renders.">_setAlphaRejectSettings</a>( <a class="code" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> func, <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> value, <span class="keywordtype">bool</span> alphaToCoverage );
<a name="l00279"></a>00279         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a0ee4de38af33586f78359947e28dd733" title="Sets the provided viewport as the active one for future rendering operations.">_setViewport</a>( <a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> *vp );
<a name="l00280"></a>00280         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a54c46af02f13834611169c2c164245ed" title="Signifies the beginning of a frame, i.e.">_beginFrame</a>(<span class="keywordtype">void</span>);
<a name="l00281"></a>00281         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a60a4f07569425d0f0eaaba15ba1354c5" title="Ends rendering of a frame to the current viewport.">_endFrame</a>(<span class="keywordtype">void</span>);
<a name="l00282"></a>00282         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aba75a2e4cfd830a9724c093add252f1a" title="Sets the culling mode for the render system based on the &#39;vertex winding&#39;.">_setCullingMode</a>( <a class="code" href="group__General.html#gac173244ed7d950d0acd726e4f323ecdb" title="Hardware culling modes based on vertex winding.">CullingMode</a> mode );
<a name="l00283"></a>00283         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a545350e8bb0f10d893e8277b7c3f7044" title="Sets the mode of operation for depth buffer tests from this point onwards.">_setDepthBufferParams</a>( <span class="keywordtype">bool</span> depthTest = <span class="keyword">true</span>, <span class="keywordtype">bool</span> depthWrite = <span class="keyword">true</span>, <a class="code" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> depthFunction = <a class="code" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aa2272d0faefcf5a2e08bbf7d232d7520b">CMPF_LESS_EQUAL</a> );
<a name="l00284"></a>00284         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a8d27c8bd1b22a20f3761e76fed901b71" title="Sets whether or not the depth buffer check is performed before a pixel write.">_setDepthBufferCheckEnabled</a>( <span class="keywordtype">bool</span> enabled = <span class="keyword">true</span> );
<a name="l00285"></a>00285         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ac01938a65fe2dcd8ecbe1ee62e50090b">_getDepthBufferCheckEnabled</a>( <span class="keywordtype">void</span> );
<a name="l00286"></a>00286         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4b3aa98349103ce13f75786b90a05f97" title="Sets whether or not colour buffer writing is enabled, and for which channels.">_setColourBufferWriteEnabled</a>(<span class="keywordtype">bool</span> red, <span class="keywordtype">bool</span> green, <span class="keywordtype">bool</span> blue, <span class="keywordtype">bool</span> alpha);
<a name="l00287"></a>00287         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aa350694a1a5cdd41b30065b1b43b7d80" title="Sets whether or not the depth buffer is updated after a pixel write.">_setDepthBufferWriteEnabled</a>(<span class="keywordtype">bool</span> enabled = <span class="keyword">true</span>);
<a name="l00288"></a>00288         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ac24bed40404d02ae304bbb321bde5005" title="Sets the comparison function for the depth buffer check.">_setDepthBufferFunction</a>( <a class="code" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> func = <a class="code" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aa2272d0faefcf5a2e08bbf7d232d7520b">CMPF_LESS_EQUAL</a> );
<a name="l00289"></a>00289         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a66c552c73f38986e0257aa0100e0c285" title="Sets the depth bias, NB you should use the Material version of this.">_setDepthBias</a>(<span class="keywordtype">float</span> constantBias, <span class="keywordtype">float</span> slopeScaleBias);
<a name="l00290"></a>00290         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a60c58d5e33b6922ee1ab7dcb7fc97dc2" title="Sets the fogging mode for future geometry.">_setFog</a>( <a class="code" href="group__General.html#ga83edeb2e5d33a3ca8f15834ba40020ba" title="Fog modes.">FogMode</a> mode = <a class="code" href="group__General.html#gga83edeb2e5d33a3ca8f15834ba40020baab7793a21880052c0214d4cc040992310" title="No fog. Duh.">FOG_NONE</a>, <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour = <a class="code" href="classOgre_1_1ColourValue.html#a8eba66b2908f44f00f8d9c9ec25877de">ColourValue::White</a>, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> expDensity = 1.0, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> linearStart = 0.0, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> linearEnd = 1.0 );
<a name="l00291"></a>00291         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a7ef86fdea6938caa41e5bb4e78f59471" title="Converts a uniform projection matrix to suitable for this render system.">_convertProjectionMatrix</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; matrix,
<a name="l00292"></a>00292             <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; dest, <span class="keywordtype">bool</span> forGpuProgram = <span class="keyword">false</span>);
<a name="l00293"></a>00293         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a56ef43340674f07f9b6e13830fae132d" title="Builds a perspective projection matrix suitable for this render system.">_makeProjectionMatrix</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a>&amp; fovy, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> aspect, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> nearPlane, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> farPlane, 
<a name="l00294"></a>00294             <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; dest, <span class="keywordtype">bool</span> forGpuProgram = <span class="keyword">false</span>);
<a name="l00295"></a>00295         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a56ef43340674f07f9b6e13830fae132d" title="Builds a perspective projection matrix suitable for this render system.">_makeProjectionMatrix</a>(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> left, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> right, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> bottom, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> top, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> nearPlane, 
<a name="l00296"></a>00296             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> farPlane, <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; dest, <span class="keywordtype">bool</span> forGpuProgram = <span class="keyword">false</span>);
<a name="l00297"></a>00297         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4642d3b99b089c09628cdb8dbd73f37c" title="Builds an orthographic projection matrix suitable for this render system.">_makeOrthoMatrix</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a>&amp; fovy, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> aspect, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> nearPlane, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> farPlane, 
<a name="l00298"></a>00298             <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; dest, <span class="keywordtype">bool</span> forGpuProgram = <span class="keyword">false</span>);
<a name="l00299"></a>00299         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#abd68ad9f085f2e18333f56a13b06737e" title="Update a perspective projection matrix to use &#39;oblique depth projection&#39;.">_applyObliqueDepthProjection</a>(<a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; matrix, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Plane.html" title="Defines a plane in 3D space.">Plane</a>&amp; plane, 
<a name="l00300"></a>00300             <span class="keywordtype">bool</span> forGpuProgram);
<a name="l00301"></a>00301         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a9a8017417f83d38894518eb3e698247b" title="Sets how to rasterise triangles, as points, wireframe or solid polys.">_setPolygonMode</a>(<a class="code" href="group__General.html#ga68866b02aa7f99e3431337511fbb3345" title="The polygon mode to use when rasterising.">PolygonMode</a> level);
<a name="l00302"></a>00302         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a64c9bd7874df33ab1c512c6d3248c23d" title="Sets a single filter for a given texture unit.">_setTextureUnitFiltering</a>(<span class="keywordtype">size_t</span> unit, <a class="code" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a> ftype, <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> filter);
<a name="l00303"></a>00303         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#afd0fe448394939914126a8d3d057a33e" title="Sets the maximal anisotropy for the specified texture unit.">_setTextureLayerAnisotropy</a>(<span class="keywordtype">size_t</span> unit, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> maxAnisotropy);
<a name="l00304"></a>00304         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aa56f6aa7c14a7455f5a25798101b1881" title="Sets the current vertex declaration, ie the source of vertex data.">setVertexDeclaration</a>(<a class="code" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to the rendering API th...">VertexDeclaration</a>* decl);
<a name="l00305"></a>00305         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aa56f6aa7c14a7455f5a25798101b1881" title="Sets the current vertex declaration, ie the source of vertex data.">setVertexDeclaration</a>(<a class="code" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to the rendering API th...">VertexDeclaration</a>* decl, <a class="code" href="classOgre_1_1VertexBufferBinding.html" title="Records the state of all the vertex buffer bindings required to provide a vertex declaration with the...">VertexBufferBinding</a>* binding);
<a name="l00306"></a>00306         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a0638f394c2b2a1b3035af3da58951317" title="Sets the current vertex buffer binding state.">setVertexBufferBinding</a>(<a class="code" href="classOgre_1_1VertexBufferBinding.html" title="Records the state of all the vertex buffer bindings required to provide a vertex declaration with the...">VertexBufferBinding</a>* binding);
<a name="l00307"></a>00307         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a07e5f15791ec7f42fbf9348a89920176" title="Render something to the active viewport.">_render</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a>&amp; op);
<a name="l00311"></a>00311         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a0b5fc5b6684ff7904e4e288c74f96694" title="See RenderSystem.">bindGpuProgram</a>(<a class="code" href="classOgre_1_1GpuProgram.html" title="Defines a program which runs on the GPU such as a vertex or fragment program.">GpuProgram</a>* prg);
<a name="l00315"></a>00315         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a493bc503eae3480c3e6e77d58cd1fca3" title="See RenderSystem.">unbindGpuProgram</a>(<a class="code" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e" title="Enumerates the types of programs which can run on the GPU.">GpuProgramType</a> gptype);
<a name="l00319"></a>00319         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ab53388c0e1d47e43ed48b77595054fe6" title="See RenderSystem.">bindGpuProgramParameters</a>(<a class="code" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e" title="Enumerates the types of programs which can run on the GPU.">GpuProgramType</a> gptype, <a class="code" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> params, <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> mask);
<a name="l00323"></a>00323         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ad02c0c838045830a7fdea3557635bf34" title="See RenderSystem.">bindGpuProgramPassIterationParameters</a>(<a class="code" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e" title="Enumerates the types of programs which can run on the GPU.">GpuProgramType</a> gptype);
<a name="l00324"></a>00324 
<a name="l00325"></a>00325         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4ded234045f9ed9a1258dfcc858def02" title="Sets the &#39;scissor region&#39; ie the region of the target in which rendering can take place...">setScissorTest</a>(<span class="keywordtype">bool</span> enabled, <span class="keywordtype">size_t</span> left = 0, <span class="keywordtype">size_t</span> top = 0, <span class="keywordtype">size_t</span> right = 800, <span class="keywordtype">size_t</span> bottom = 600);
<a name="l00326"></a>00326         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aed61ea88e44867a175794152a3c40507" title="Clears one or more frame buffers on the active render target.">clearFrameBuffer</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> buffers, 
<a name="l00327"></a>00327             <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour = <a class="code" href="classOgre_1_1ColourValue.html#a7f8a06f2a9dd645417c36b560f496c1a">ColourValue::Black</a>, 
<a name="l00328"></a>00328             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> depth = 1.0f, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> stencil = 0);
<a name="l00329"></a>00329         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a7f2f491968034d83d3c4c02d2adee196">setClipPlane</a> (<a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> index, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> A, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> B, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> C, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> D);
<a name="l00330"></a>00330         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a69a555814009c44e88bdc5ab9257dbde">enableClipPlane</a> (<a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> index, <span class="keywordtype">bool</span> enable);
<a name="l00331"></a>00331         <a class="code" href="classOgre_1_1HardwareOcclusionQuery.html" title="This is a abstract class that that provides the interface for the query class for hardware occlusion...">HardwareOcclusionQuery</a>* <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aa9007109ddfcf4b13d45318c5cc71cc9" title="Create an object for performing hardware occlusion queries.">createHardwareOcclusionQuery</a>(<span class="keywordtype">void</span>);
<a name="l00332"></a>00332         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#aca19ecf0824bf34b0dae9211b0b2b104" title="Returns the horizontal texel offset value required for mapping texel origins to pixel origins in this...">getHorizontalTexelOffset</a>(<span class="keywordtype">void</span>);
<a name="l00333"></a>00333         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a4d9151c508a7d1d7c15a64c6d874ada3" title="Returns the vertical texel offset value required for mapping texel origins to pixel origins in this r...">getVerticalTexelOffset</a>(<span class="keywordtype">void</span>);
<a name="l00334"></a>00334         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#acace301a6ac5c0ec16b55186abaf1e3a" title="Gets the minimum (closest) depth value to be used when rendering using identity transforms.">getMinimumDepthInputValue</a>(<span class="keywordtype">void</span>);
<a name="l00335"></a>00335         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#af9f85102202b26e1b02c9391560cdec3" title="Gets the maximum (farthest) depth value to be used when rendering using identity transforms.">getMaximumDepthInputValue</a>(<span class="keywordtype">void</span>);
<a name="l00336"></a>00336         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a37015e208e5c0f268b37335540ec661b" title="Register the an additional thread which may make calls to rendersystem-related objects.">registerThread</a>();
<a name="l00337"></a>00337         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ac5013457ddd4eefb71e031332294fadf" title="Unregister an additional thread which may make calls to rendersystem-related objects.">unregisterThread</a>();
<a name="l00338"></a>00338         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a2f7492cd8867ab290b77b0e7d7000fc6" title="Tell the rendersystem to perform any prep tasks it needs to directly before other threads which might...">preExtraThreadsStarted</a>();
<a name="l00339"></a>00339         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ad4377ca9759ef65902a521747bb4a9fb">postExtraThreadsStarted</a>();
<a name="l00340"></a>00340 
<a name="l00344"></a>00344         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ac5d750346fad8fb6e9406adbab3dcea1" title="Set current render target to target, enabling its GL context if needed.">_setRenderTarget</a>(<a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *target);
<a name="l00345"></a>00345 
<a name="l00349"></a>00349         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#af333c71b58159a046b79a7f0d5bb4955" title="Check whether or not filtering is supported for the precise texture format requested with the given u...">_checkTextureFilteringSupported</a>(<a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> ttype, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> usage);
<a name="l00350"></a>00350 
<a name="l00351"></a>00351         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#a46f4c0a27d96185210ca7de1018af78e">determineFSAASettings</a>(<a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; fsaaHint, DXGI_FORMAT format, DXGI_SAMPLE_DESC* outFSAASettings);
<a name="l00352"></a>00352 
<a name="l00354"></a><a class="code" href="classOgre_1_1D3D11RenderSystem.html#ae1ab2c37754ddf00addf5794e805ceec">00354</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1D3D11RenderSystem.html#ae1ab2c37754ddf00addf5794e805ceec">getDisplayMonitorCount</a>()<span class="keyword"> const </span>{<span class="keywordflow">return</span> 1;} <span class="comment">//todo</span>
<a name="l00355"></a>00355 
<a name="l00356"></a>00356     };
<a name="l00357"></a>00357 }
<a name="l00358"></a>00358 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
